/***************************************************************************
 *
 *   ::::_audioeditor_::::
 *   a simple multitrack audio editor
 *
 *   mainapplication
 *   source file
 *
 *   begin                : Jan 2006
 *   copyright            : (C) 2006 by Georg Holzmann
 *   email                : grh@mur.at
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

#include "mainapplication.h"

#include "mainwindow.h"
#include "audioctl.h"

MainApplication::MainApplication(int argc, char **argv)
  : QApplication (argc, argv)
{
  m_mainwindow = new MainWindow;
  m_mainwindow->show();
  
  m_audioctl = new AudioCtl;

  connect(m_mainwindow, SIGNAL(play()), m_audioctl, SLOT(play()));
  connect(m_mainwindow, SIGNAL(pause()), m_audioctl, SLOT(pause()));
  connect(m_mainwindow, SIGNAL(stop()), m_audioctl, SLOT(stop()));
}

MainApplication::~MainApplication()
{
  // TESTING:
  m_audioctl->stop();
  
  delete m_audioctl;
  delete m_mainwindow;
}
